package com.mdd.admin.vo.channel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("公众号渠道Vo")
public class ChannelOaVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("公众号名称")
   private String name;
   @ApiModelProperty("原始ID")
   private String primaryId;
   @ApiModelProperty("appId")
   private String appId;
   @ApiModelProperty("appSecret")
   private String appSecret;
   @ApiModelProperty("二维码")
   private String qrCode;
   @ApiModelProperty("URL")
   private String url;
   @ApiModelProperty("Token")
   private String token;
   @ApiModelProperty("EncodingAESKey")
   private String encodingAesKey;
   @ApiModelProperty("消息加密方式")
   private Integer encryptionType;
   @ApiModelProperty("业务域名")
   private String businessDomain;
   @ApiModelProperty("JS接口安全域名")
   private String jsDomain;
   @ApiModelProperty("网页授权域名")
   private String webDomain;

   public String getName() {
      return this.name;
   }

   public String getPrimaryId() {
      return this.primaryId;
   }

   public String getAppId() {
      return this.appId;
   }

   public String getAppSecret() {
      return this.appSecret;
   }

   public String getQrCode() {
      return this.qrCode;
   }

   public String getUrl() {
      return this.url;
   }

   public String getToken() {
      return this.token;
   }

   public String getEncodingAesKey() {
      return this.encodingAesKey;
   }

   public Integer getEncryptionType() {
      return this.encryptionType;
   }

   public String getBusinessDomain() {
      return this.businessDomain;
   }

   public String getJsDomain() {
      return this.jsDomain;
   }

   public String getWebDomain() {
      return this.webDomain;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setPrimaryId(String primaryId) {
      this.primaryId = primaryId;
   }

   public void setAppId(String appId) {
      this.appId = appId;
   }

   public void setAppSecret(String appSecret) {
      this.appSecret = appSecret;
   }

   public void setQrCode(String qrCode) {
      this.qrCode = qrCode;
   }

   public void setUrl(String url) {
      this.url = url;
   }

   public void setToken(String token) {
      this.token = token;
   }

   public void setEncodingAesKey(String encodingAesKey) {
      this.encodingAesKey = encodingAesKey;
   }

   public void setEncryptionType(Integer encryptionType) {
      this.encryptionType = encryptionType;
   }

   public void setBusinessDomain(String businessDomain) {
      this.businessDomain = businessDomain;
   }

   public void setJsDomain(String jsDomain) {
      this.jsDomain = jsDomain;
   }

   public void setWebDomain(String webDomain) {
      this.webDomain = webDomain;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ChannelOaVo)) {
         return false;
      } else {
         ChannelOaVo other = (ChannelOaVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label155: {
               Object this$encryptionType = this.getEncryptionType();
               Object other$encryptionType = other.getEncryptionType();
               if (this$encryptionType == null) {
                  if (other$encryptionType == null) {
                     break label155;
                  }
               } else if (this$encryptionType.equals(other$encryptionType)) {
                  break label155;
               }

               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            Object this$primaryId = this.getPrimaryId();
            Object other$primaryId = other.getPrimaryId();
            if (this$primaryId == null) {
               if (other$primaryId != null) {
                  return false;
               }
            } else if (!this$primaryId.equals(other$primaryId)) {
               return false;
            }

            label134: {
               Object this$appId = this.getAppId();
               Object other$appId = other.getAppId();
               if (this$appId == null) {
                  if (other$appId == null) {
                     break label134;
                  }
               } else if (this$appId.equals(other$appId)) {
                  break label134;
               }

               return false;
            }

            label127: {
               Object this$appSecret = this.getAppSecret();
               Object other$appSecret = other.getAppSecret();
               if (this$appSecret == null) {
                  if (other$appSecret == null) {
                     break label127;
                  }
               } else if (this$appSecret.equals(other$appSecret)) {
                  break label127;
               }

               return false;
            }

            label120: {
               Object this$qrCode = this.getQrCode();
               Object other$qrCode = other.getQrCode();
               if (this$qrCode == null) {
                  if (other$qrCode == null) {
                     break label120;
                  }
               } else if (this$qrCode.equals(other$qrCode)) {
                  break label120;
               }

               return false;
            }

            Object this$url = this.getUrl();
            Object other$url = other.getUrl();
            if (this$url == null) {
               if (other$url != null) {
                  return false;
               }
            } else if (!this$url.equals(other$url)) {
               return false;
            }

            label106: {
               Object this$token = this.getToken();
               Object other$token = other.getToken();
               if (this$token == null) {
                  if (other$token == null) {
                     break label106;
                  }
               } else if (this$token.equals(other$token)) {
                  break label106;
               }

               return false;
            }

            Object this$encodingAesKey = this.getEncodingAesKey();
            Object other$encodingAesKey = other.getEncodingAesKey();
            if (this$encodingAesKey == null) {
               if (other$encodingAesKey != null) {
                  return false;
               }
            } else if (!this$encodingAesKey.equals(other$encodingAesKey)) {
               return false;
            }

            label92: {
               Object this$businessDomain = this.getBusinessDomain();
               Object other$businessDomain = other.getBusinessDomain();
               if (this$businessDomain == null) {
                  if (other$businessDomain == null) {
                     break label92;
                  }
               } else if (this$businessDomain.equals(other$businessDomain)) {
                  break label92;
               }

               return false;
            }

            Object this$jsDomain = this.getJsDomain();
            Object other$jsDomain = other.getJsDomain();
            if (this$jsDomain == null) {
               if (other$jsDomain != null) {
                  return false;
               }
            } else if (!this$jsDomain.equals(other$jsDomain)) {
               return false;
            }

            Object this$webDomain = this.getWebDomain();
            Object other$webDomain = other.getWebDomain();
            if (this$webDomain == null) {
               if (other$webDomain != null) {
                  return false;
               }
            } else if (!this$webDomain.equals(other$webDomain)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ChannelOaVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $encryptionType = this.getEncryptionType();
      result = result * 59 + ($encryptionType == null ? 43 : $encryptionType.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $primaryId = this.getPrimaryId();
      result = result * 59 + ($primaryId == null ? 43 : $primaryId.hashCode());
      Object $appId = this.getAppId();
      result = result * 59 + ($appId == null ? 43 : $appId.hashCode());
      Object $appSecret = this.getAppSecret();
      result = result * 59 + ($appSecret == null ? 43 : $appSecret.hashCode());
      Object $qrCode = this.getQrCode();
      result = result * 59 + ($qrCode == null ? 43 : $qrCode.hashCode());
      Object $url = this.getUrl();
      result = result * 59 + ($url == null ? 43 : $url.hashCode());
      Object $token = this.getToken();
      result = result * 59 + ($token == null ? 43 : $token.hashCode());
      Object $encodingAesKey = this.getEncodingAesKey();
      result = result * 59 + ($encodingAesKey == null ? 43 : $encodingAesKey.hashCode());
      Object $businessDomain = this.getBusinessDomain();
      result = result * 59 + ($businessDomain == null ? 43 : $businessDomain.hashCode());
      Object $jsDomain = this.getJsDomain();
      result = result * 59 + ($jsDomain == null ? 43 : $jsDomain.hashCode());
      Object $webDomain = this.getWebDomain();
      result = result * 59 + ($webDomain == null ? 43 : $webDomain.hashCode());
      return result;
   }

   public String toString() {
      return "ChannelOaVo(name=" + this.getName() + ", primaryId=" + this.getPrimaryId() + ", appId=" + this.getAppId() + ", appSecret=" + this.getAppSecret() + ", qrCode=" + this.getQrCode() + ", url=" + this.getUrl() + ", token=" + this.getToken() + ", encodingAesKey=" + this.getEncodingAesKey() + ", encryptionType=" + this.getEncryptionType() + ", businessDomain=" + this.getBusinessDomain() + ", jsDomain=" + this.getJsDomain() + ", webDomain=" + this.getWebDomain() + ")";
   }
}
